oracle.pgx.common.types

## Enum EntityType

- java.lang.Object
- - java.lang.Enum<EntityType>
  - - oracle.pgx.common.types.EntityType

- All Implemented Interfaces:
    Serializable, Comparable<EntityType>, Type

      public enum EntityType
      extends Enum<EntityType>
      implements Type

  enum to distinguish graph entities Node and Edge

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EDGE` Entity is a edge.
    `VERTEX` Entity is a node.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<?>` | `getTypeClass()` Gets the type class.
    `static EntityType` | `parseEntityType(String input)` Parses the entity type.
    `String` | `toKey()` Returns the key of this type as string.
    `String` | `toString()`
    `static EntityType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EntityType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EDGE

          public static final EntityType EDGE

      Entity is a edge.

    - #### VERTEX

          public static final EntityType VERTEX

      Entity is a node.

  - ### Method Detail

    - #### getTypeClass

          public Class<?> getTypeClass()

      Description copied from interface: `Type`
      Gets the type class.
      Specified by:
        `getTypeClass` in interface `Type`
      Returns:
        the Java class this type maps to

    - #### parseEntityType

          public static EntityType parseEntityType(String input)

      Parses the entity type.
      Parameters:
        `input` - the string input
      Returns:
        the entity type

    - #### toKey

          public String toKey()

      Description copied from interface: `Type`
      Returns the key of this type as string.
      Specified by:
        `toKey` in interface `Type`
      Returns:
        a JSON string representation of this type

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<EntityType>`

    - #### valueOf

          public static EntityType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static EntityType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EntityType c : EntityType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

Copyright © 2015. All rights reserved.